Import wiki.toolserver.org pages
Closed, ResolvedPublic

Description

After setup of the wiki, the existing pages at wiki.toolserver.org need to be imported.

wiki.toolserver.org uses PostgreSQL as the backend, so Special:Export/Special:Import is probably the way to go.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=61539

Details

Reference
bz60415
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz60415.
bzimport added a subscriber: Unknown Object (MLST).
scfc created this task.Jan 25 2014, 4:53 AM
Dereckson changed the status of subtask T62222: Set up a clone of wiki.toolserver.org from Open to Stalled.Apr 10 2015, 2:36 PM
Nemo_bis closed this task as Resolved.EditedJul 20 2015, 12:53 PM
Nemo_bis claimed this task.

Import done, will now have to perform some fixes. I don't plan to keep the category tree, only links for now.
https://www.mediawiki.org/w/index.php?title=Special:Log&dir=prev&offset=20150720000000&limit=1530&type=import&user=Nemo+bis

In pywikibot user-fixes:

fixes['toolserver-move'] = {
    'regex': True,
    'msg': {
        '_default':u'Adapt page [[Thread:Project:Current_issues/Toolserver_wiki|imported]] from [[Toolserver]] wiki.',
    },
    'replacements': [
        (r'{{(.)', ur'{{:Toolserver:Template:{{subst:uc:\1}}'),
        (r'\[\[([^|\]]+)\|', ur'[[Toolserver:{{subst:ucfirst:\1}}|'),
        (r'\[\[([^|\]]+)\]\]', ur'[[Toolserver:{{subst:ucfirst:\1}}|\1]]'),
        (r'^', u'{{MovedFromToolserver}}\n'),
    ]
}

Of course this is very simplistic (should exclude {{(..|/|#) etc. etc.) but unbreaks more pages than it breaks.